#!/bin/sh
sdir=libsdl2
sver=none

for f in */debian/changelog ; do
  sdir=`dirname $f`
  sdir=`dirname $sdir`
  sver=`cat $f | grep -m1 -E '^libsdl2 \(' | cut -d '(' -f 2- | cut -d ')' -f 1`
done

bver=`echo ${sver} | cut -d '+' -f 1`
ever=`echo ${sver} | cut -d '+' -f 2-`
dver=`echo ${ever} | cut -d '-' -f 1`
ever=`echo ${ever} | cut -d '-' -f 2-`

echo "Building libsdl2 ${sver} in ${sdir}"

cd ${sdir}

debuild -us -uc

cd ..

cpuArch=`dpkg --print-architecture`
distName=`lsb_release -c -s`

if [ $cpuArch = arm64 ]; then
  tar czvf libsdl2-${bver}-${distName}-source-full.tar.gz \
    libsdl2-${bver}+${dver} libsdl2_${bver}+${dver}*

elif [ -e /libsdl2-${bver}-${distName}-source-full.tar.gz ]; then
  tar xzvf /libsdl2-${bver}-${distName}-source-full.tar.gz \
    libsdl2-${bver}+${dver}/debian/libsdl2-2.0-0/usr/share/doc/libsdl2-2.0-0/changelog.gz \
    libsdl2-${bver}+${dver}/debian/libsdl2-2.0-0/usr/share/doc/libsdl2-2.0-0/changelog.Debian.gz \
    libsdl2-${bver}+${dver}/debian/libsdl2-doc/usr/share/doc/libsdl2-doc/changelog.gz \
    libsdl2-${bver}+${dver}/debian/libsdl2-doc/usr/share/doc/libsdl2-doc/changelog.Debian.gz \
    libsdl2-${bver}+${dver}/debian/libsdl2-dev/usr/share/doc/libsdl2-dev/changelog.gz \
    libsdl2-${bver}+${dver}/debian/libsdl2-dev/usr/share/doc/libsdl2-dev/changelog.Debian.gz \
    libsdl2-${bver}+${dver}/debian/libsdl2-tests/usr/share/doc/libsdl2-tests/changelog.gz \
    libsdl2-${bver}+${dver}/debian/libsdl2-tests/usr/share/doc/libsdl2-tests/changelog.Debian.gz \
    libsdl2-${bver}+${dver}/debian/changelog

  cd ${sdir}

  debuild -us -uc -nc

  cd ..
fi

mkdir -p dbg
mv *-dbg* dbg/ || true
mv *-doc* dbg/ || true

zip libsdl2-${bver}-n1-`lsb_release -c -s`-`dpkg --print-architecture`.zip install-sdl2*.sh libsdl2-*.deb

echo OK
