#!/bin/sh
sdir=libsdl2
#sver=2.0.8+dfsg1-1
#sver=2.0.10+dfsg1-3
#sver=2.0.20+dfsg-2ubuntu1.22.04.1
sver=2.26.4+dfsg-1

bver=`echo ${sver} | cut -d '+' -f 1`
ever=`echo ${sver} | cut -d '+' -f 2-`
dver=`echo ${ever} | cut -d '-' -f 1`
ever=`echo ${ever} | cut -d '-' -f 2-`

if wget -N http://ftp.debian.org/debian/pool/main/libs/libsdl2/libsdl2_${bver}+${dver}.orig.tar.gz && \
  wget -N http://ftp.debian.org/debian/pool/main/libs/libsdl2/libsdl2_${sver}.debian.tar.xz && \
  wget -N http://ftp.debian.org/debian/pool/main/libs/libsdl2/libsdl2_${sver}.dsc ; then

  tar xzf libsdl2_${bver}+${dver}.orig.tar.gz
  if [ -e SDL2-${bver} -a ! -e libsdl2-${bver}+${dver} ]; then
    mv SDL2-${bver} libsdl2-${bver}+${dver}
  fi

  cd libsdl2-${bver}+${dver}
  tar xJf ../libsdl2_${sver}.debian.tar.xz
  cd ..

elif wget -N http://ftp.debian.org/debian/pool/main/libs/libsdl2/libsdl2_${bver}+${dver}.orig.tar.xz && \
  wget -N http://ftp.debian.org/debian/pool/main/libs/libsdl2/libsdl2_${sver}.debian.tar.xz && \
  wget -N http://ftp.debian.org/debian/pool/main/libs/libsdl2/libsdl2_${sver}.dsc ; then

  tar xJf libsdl2_${bver}+${dver}.orig.tar.xz
  if [ -e SDL2-${bver} -a ! -e libsdl2-${bver}+${dver} ]; then
    mv SDL2-${bver} libsdl2-${bver}+${dver}
  fi

  cd libsdl2-${bver}+${dver}
  tar xJf ../libsdl2_${sver}.debian.tar.xz
  cd ..

else
  apt-get source libsdl2
fi

for f in */debian/changelog ; do
  sdir=`dirname $f`
  sdir=`dirname $sdir`
  sver=`cat $f | grep -m1 -E '^libsdl2 \(' | cut -d '(' -f 2- | cut -d ')' -f 1`
done

[ "${sver}" = "none" ] && exit 1

bver=`echo ${sver} | cut -d '+' -f 1`
ever=`echo ${sver} | cut -d '+' -f 2-`
dver=`echo ${ever} | cut -d '-' -f 1`
ever=`echo ${ever} | cut -d '-' -f 2-`

nver="${bver}+${dver}-9opengles2"

echo "Preparing libsdl2 ${nver} in ${sdir}"

zip libsdl2-${bver}-`lsb_release -c -s`-source.zip libsdl2_${bver}*

cd ${sdir}

sed -i s/'--enable-video-opengles'/'--disable-video-opengl --enable-video-opengles'/g debian/rules

DEBFULLNAME="builder" DEBEMAIL="builder@host.local" debchange --newversion "${nver}"

cd ..

echo OK
